Consultar recebedores por listagem paginada
curl --request GET \
--url https://api.malga.io/v1/sellers \
--header 'X-Api-Key: <api-key>' \
--header 'X-Client-Id: <api-key>'const options = {method: 'GET', headers: {'X-Client-Id': '<api-key>', 'X-Api-Key': '<api-key>'}};
fetch('https://api.malga.io/v1/sellers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.malga.io/v1/sellers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Client-Id", "<api-key>")
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"id": "ea115e44-7048-11ed-a1eb-0242ac120002",
"providers": [
{
"providerType": "PLUG_SANDBOX",
"externalStatus": "active",
"externalStatusReason": "ok",
"status": "pending",
"createdAt": "2021-08-12T16:08:39.536Z",
"updatedAt": "2021-08-12T16:08:39.536Z"
}
],
"merchantId": "5616b19e-4d99-4bd3-b415-4990e5cab4f4",
"clientId": "5616b19e-4d99-4bd3-b415-4990e5cab4f4",
"business": {
"id": "72a574b8-e97e-409c-8402-04208f63e027",
"updatedAt": "2023-05-15T22:27:48.267Z",
"createdAt": "2023-05-15T22:27:48.267Z",
"name": "Seller test",
"phoneNumber": "21 98889999099",
"email": "seller@gmail.com",
"website": null,
"description": "Description",
"facebooks": null,
"twitter": null,
"openingDate": "1995-01-27"
},
"mcc": 4040,
"notifyOnPayout": true
}
],
"meta": {
"totalItems": 16,
"itemCount": 1,
"itemsPerPage": 1,
"totalPages": 2,
"currentPage": 1
}
}{
"error": {
"type": "api_error",
"code": 123,
"declinedCode": "<string>",
"key": "<string>",
"businessCode": "<string>",
"message": "<string>",
"details": "<array>"
}
}{
"error": {
"type": "api_error",
"code": 123,
"declinedCode": "<string>",
"key": "<string>",
"businessCode": "<string>",
"message": "<string>",
"details": "<array>"
}
}Sellers
Consultar recebedores por listagem paginada
GET
/
v1
/
sellers
Consultar recebedores por listagem paginada
curl --request GET \
--url https://api.malga.io/v1/sellers \
--header 'X-Api-Key: <api-key>' \
--header 'X-Client-Id: <api-key>'const options = {method: 'GET', headers: {'X-Client-Id': '<api-key>', 'X-Api-Key': '<api-key>'}};
fetch('https://api.malga.io/v1/sellers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.malga.io/v1/sellers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Client-Id", "<api-key>")
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"id": "ea115e44-7048-11ed-a1eb-0242ac120002",
"providers": [
{
"providerType": "PLUG_SANDBOX",
"externalStatus": "active",
"externalStatusReason": "ok",
"status": "pending",
"createdAt": "2021-08-12T16:08:39.536Z",
"updatedAt": "2021-08-12T16:08:39.536Z"
}
],
"merchantId": "5616b19e-4d99-4bd3-b415-4990e5cab4f4",
"clientId": "5616b19e-4d99-4bd3-b415-4990e5cab4f4",
"business": {
"id": "72a574b8-e97e-409c-8402-04208f63e027",
"updatedAt": "2023-05-15T22:27:48.267Z",
"createdAt": "2023-05-15T22:27:48.267Z",
"name": "Seller test",
"phoneNumber": "21 98889999099",
"email": "seller@gmail.com",
"website": null,
"description": "Description",
"facebooks": null,
"twitter": null,
"openingDate": "1995-01-27"
},
"mcc": 4040,
"notifyOnPayout": true
}
],
"meta": {
"totalItems": 16,
"itemCount": 1,
"itemsPerPage": 1,
"totalPages": 2,
"currentPage": 1
}
}{
"error": {
"type": "api_error",
"code": 123,
"declinedCode": "<string>",
"key": "<string>",
"businessCode": "<string>",
"message": "<string>",
"details": "<array>"
}
}{
"error": {
"type": "api_error",
"code": 123,
"declinedCode": "<string>",
"key": "<string>",
"businessCode": "<string>",
"message": "<string>",
"details": "<array>"
}
}Query Parameters
Identificador do seller
E-mail do seller (busca em owner.email ou business.email)
Status do seller. Aceita múltiplos valores separados por vírgula (ex. pending,active).
Available options:
active, partial, inactive, pending, blocked Nome do estabelecimento (busca parcial, mínimo 3 caracteres)
Required string length:
3 - 100Identificador do merchant
Limite de itens retornados na consulta (máximo 100)
Required range:
1 <= x <= 100Página da consulta
Required range:
x >= 1Ordenação por data de criação
Available options:
ASC, DESC Related topics
Sobre as APIs da MalgaListar recebedoresListagem de vendedores paginadaAgo 31, 2026 - Listagem de antecipações e notificação de repasse no recebedorWas this page helpful?